# _M.lua

The lua module.
It provides utilities for editing Lua code.
User tags are loaded from `_USERHOME/modules/lua/tags` and user apis are
loaded from `_USERHOME/modules/lua/api`.

## Key Commands

+ `Ctrl+L, M` (`⌘L, M` on Mac OSX)
  Open this module for editing.
+ `Ctrl+L, G` (`⌘L, G`)
  Goto file being 'require'd on the current line.
+ `Shift+Return` (`⇧↩`)
  Try to autocomplete an `if`, `for`, etc. statement with `end`.
+ `.`
  When to the right of a known symbol, show an autocompletion list of fields
  and functions.
+ `:`
  When to the right of a known symbol, show an autocompletion list of
  functions only.

- - -

## Fields

- - -

<a id="sense"></a>
### `sense` 

The Lua [Adeptsense](_M.textadept.adeptsense.html).

- - -


## Functions

- - -

<a id="goto_required"></a>
### `goto_required` ()

Determines the Lua file being 'require'd, searches through package.path for
that file, and opens it in Textadept.

- - -

<a id="set_buffer_properties"></a>
### `set_buffer_properties` ()

Sets default buffer properties for Lua files.

- - -

<a id="try_to_autocomplete_end"></a>
### `try_to_autocomplete_end` ()

Tries to autocomplete Lua's 'end' keyword for control structures like 'if',
'while', 'for', etc.

See also:

* [`control_structure_patterns`](#control_structure_patterns)

- - -


## Tables

- - -

<a id="_G.keys.lua"></a>
### `_G.keys.lua`

Container for Lua-specific key commands.

- - -

<a id="_G.snippets.lua"></a>
### `_G.snippets.lua`

Container for Lua-specific snippets.

- - -

<a id="control_structure_patterns"></a>
### `control_structure_patterns`

Patterns for auto 'end' completion for control structures.

See also:

* [`try_to_autocomplete_end`](#try_to_autocomplete_end)

- - -

